• 0

Framework Store Update


Question

Posted · Report post

Hello all, 

 

I know everyone has been on pins and needles and often very upset that restoring the Framework Store and Plus products has taken so long.  Candidly, I don't blame you for your frustrations, and hope you'll all understand we're just as frustrated.

 

As you know, I've been communicating with our developers routinely to express your grave concerns and today, I have some good news to share.

 

The majority of the Framework Store is back.  Not everything though. Any item where there's no Thumbnail is not yet available and will yield an error.  Grey boxes with the word "Thumb" indicate no available download. Please DO NOT COMPLAIN. We know about it and we're trying to fix it still. But there are few that are missing.

 

To make things even better, the Plus Membership extensions are still there and for the most part, work. 

 

Now, with about 95% of the store reinstated, Framework should be back in business for all of you. 

 

I hope you'll all take advantage of this, and use Framework as a stepping stone for even more beautiful DMS sites in future.

 

 

Share this post


Link to post
Share on other sites

36 answers to this question

  • 0

Posted · Report post

This is great news. Though I feel let down and am just keying through my last pagelines site as it stands now. I have loved Framework 2 and will continue to use it as long as it develops and stay updated. If all focus is moved to DMS I can only guess Framework dies out. 

 

I am specific disappointed that the great community around Pagelines Framework is set in this position.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I'm sure, given our history, that Framework isn't going away today, or anytime soon.  So don't worry Martin. You'll be fine for a long while.

2 people like this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hi - the Pagelines Sections in the store still has a fatal error and is impossible to install. What do I do? Any alternative?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

OK. so Framework is not going away! 

Wow it took me forever to figure that out! 

Haha. the main pagelines site doesn't really communicate that clearly. 

 

I feel so much better now! 

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

@lakersalex  Not everything is working.  I'm lucky I've not fallen to pieces. I have 404 blinking on my forehead at this point! :D

 

@gayatriom  I think we're a bit busy these days and have been answering things here rather than blogging every little thing.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hooray for the Frameworks Store Updates folks. I am elated things are getting back to normal.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I am unable to get the child theme!!!  :growl:

Fatal error!

The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I am unable to get the child theme!!!  :growl:

Fatal error!

The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

Sound like a broken zip-file. Try and download again. Lets hear how is goes.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I get the same error as chesleyn when downloading the Customize plugin. I tried several times...

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Sounds like the pagelines guys must get to work then :)

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Tried the zip-file from the launchpad-page, that doesn't work either. 

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

The free download link above is plugin-pagelines-customize.zip.

 

Download it and save as pagelines-customize.zip

 

Go to Dashboard > Plugins > Add New and click Upload.  Browse to pagelines-customize.zip and install it.

 

FTP to your site and delete wp-content/plugins/ and delete the plugin-pagelines-customize folder.

 

It will work.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Rob: there is something wrong with the zip-file. It contains an error-log and a .pot-file. The actual php-file is missing.

 

So no, it won't work!

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Try this one...

 

[attachment=1455:pagelines-customize.zip]

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I am getting a "Could not connect to download" in the PageLines store. I am trying to install the PageLines Section Plugin on a site and getting this error. I am logged in...is this a related issue?  I also tried uploading the pagelines-customize.zip file which didn't change anything. Help?!

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

1. Did you get the download above?

2. Where did you try to upload it?

3. How did you do it?

4. Do you have FTP access?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

There is only one store. http://www.pagelines.com/shop.   You can no longer purchase Framework-specific plugins/sections/child themes.  However, most of the DMS ready products will work in Framework.   The question of the Framework store relates to the link found at Dashboard > PageLines > Store.   No new products may be purchased there and essentially, it is closed for shopping.  However, it remains there for the management of your existing sections/plugins/child themes, such as activating/deactivating, or uploading sections. 

 

Many apologies for the confusion.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hi Guys

 

Heres my 2 pennies worth.

 

The link to the section 'Squared' does not work in launchpad.pagelines.com but is accessible from the Pagelines V2 store in the admin version of Wordpress however the section does not work and throughs up all kinds of errors. I looked at the folder on the server and it appears (and I am guessing) to be a DMS version of the 'Squared' section.

 

I thought to myself no problem I'm just use DMS as the theme instead as the site is basically just going to be a serious of coloured boxes. I installed DMS, download the DMS version of 'Squared' from launchpad.pagelines.com, put it in the plugins folder and activated it. At this point I could see 'Squared' as a section that was available to me in DMS so I dragged it to where I wanted it. Not only did it not appear but it basically screwed up the DMS install completely. The editing bar would no longer pop up to make changes so I could do nothing.

 

I have now switched the theme back to Pagelines V2 but am still no further forward as I still can't install the 'Squared' section.

 

Its not the end of the world as its not a clients site but I could really do with this section so I can get on with my project. I really purchased this section for use on this site so the situation is getting a little frustrating.

 

Can someone help me get this resolved please.

 

I hate to say this but beware installing sections from the Pagelines V2 store in WP admin on a live site as if this had been a clients site then it would have been a disaster.

 

Also, just a thought, but why don't you guys at Pagelines continue to sell both products long term. I can see how cool DMS can be but having built loads of websites with Pagelines I can tell you that it fits my workflow perfectly and allows me to do exactly what I want quickly and efficiently and I would seriously hate to see it go.

 

Pagelines also plays much better with early browser versions (ie8). I know this is holding the web back but sadly we have to accept that a lot of corporate companies and government agencies still use XP which I guess is that annoying 6%.

 

A good example of this is an issue I had with a couple of websites I did for recently using Pagelines for a large government agency in the UK. Internal company employees across the country were reporting that the site would not load at all in ie8 using Windows XP. Now I knew that it should load and the site loaded fine in ie10 using the ie8 developer tools but I had not checked it on an actual XP machine. Luckily I have an XP machine upstairs that I switch on every 200 years so I checked the sites on that, sure enough the sites would not load at all, the only thing that would show is page Div.

 

After messing around with this for a couple of hours I discovered that the 'Euro Cookies Law' section crashes any site built on Pagelines when using ie8 and XP completely. I disabled every plugin the site had on it and it still crashed. I eventually worked it out by looking at another Pagelines site that would load in ie8 and XP and figured out what sections were different.

 

Keep Pagelines alive guys, a lot of us still love it and it gives us an alternative to offer our clients for older browser compatibility.

 

Cheers

 

Gary

2 people like this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

 

Keep Pagelines alive guys, a lot of us still love it and it gives us an alternative to offer our clients for older browser compatibility.

 

Cheers

 

Gary

 

I second the motion. But let me ask a different question. Is there anything in the Pagelines license(s) that would prevent a group of developers from forking the code and keeping the project alive under a different name? I know it's a huge code base and a community would need to be formed / funded. But there seems to be a lot of us perfectly happy with Frameworks 2.0 and this might be an answer.

 

Best, Ed

4 people like this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Great idea Ed, to be honest I would be perfectly happy paying twice to keep Pagelines alive anyhow so giving my time to help keep it moving forward is something I would be more than happy to get involved with, I have tried other systems and nothing comes close. Part of the problem (for me) with DMS is that for me its too open, we don't always want our clients to see how we did it.

 

I am still using V2 at the minute (due to the sections and ie8 issue), but my workflow is that I have written my own styles for my various sections that I understand and I can rapidly change these styles to develop new, unique sites in much the same way I would have if I had written the theme from scratch or created the site by hand.

 

I launched a new V2 site last week and within 24 hours of me giving my client access as an editor they had screwed it up by uploading high res images and playing with the text. Now in Pagelines I sorted this quickly but what if they had access to everything... = disaster.

 

I want to let my clients change the text in boxes or in the 'Hero' section - thats what a CMS is for - but I don't want them to be able to redesign the site for me or mess with my code, can you imagine the nightmare over hundreds of sites for a small business.

 

My other concern is (and perhaps Pagelines can answer this) is that Wordpress is updated regularly, at some point the sites we have built for our clients in V2 and have been paid good money for are going to be incompatible, I am already cringing when I patch Wordpress incase it all goes pear shaped.

 

Cheers

 

Gary

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

My best argument for fixing and keep developing v2 is that if they don't I will not spend more money at Pagelines. I will not switch to DMS because I will not trust Pagelines - will they just dump it after a year? I think their behaviour is sad and without respect to developers and users of pagelines. I really feel sorry for the people that have put tons or hours work in sites and plugins for the Framework.

5 people like this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

tinpeas If a wordpress update is going to break anything a patch will be released for legacy framework, and this includes platformpro.

I run the very latest wordpress code on my blog, and i also submit patches to wordpress core, so if anyone is up to date it is me.

 

Martin Bay We have no intention of dumping DMS. PageLines Framework had reached its EOL. To add new features meant a total rewrite under the hood, turning it into DMS was impossible.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now